This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 3.181. __nv_ilogbf

Prototype:

    i32 @__nv_ilogbf(float %x)

Description:

Calculates the unbiased integer exponent of the input argument `x`.

Returns:

- If successful, returns the unbiased exponent of the argument.

- __nv_ilogbf(0) returns `INT_MIN`.

- __nv_ilogbf(NaN) returns NaN.

- __nv_ilogbf(`x`) returns `INT_MAX` if `x` is ∞ or the correct value is greater than `INT_MAX`.

- __nv_ilogbf(`x`) return `INT_MIN` if the correct value is less than `INT_MIN`.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes